EllipseWidget Class Reference

`#include <EllipseWidget.h>`

Inheritance diagram for EllipseWidget:

## Public Member Functions

void | clone (EllipseWidget *t)
| EllipseWidget (Graph *)
virtual QString | saveToString ()
Public Member Functions inherited from FrameWidget
int | angle ()
AttachPolicy | attachPolicy ()
QColor | backgroundColor ()
double | bottom ()
QRectF | boundingRect () const
| Return bounding rectangle in plot coordinates. More...
QBrush | brush ()
QColor | frameColor ()
Qt::PenStyle | frameLineStyle ()
QPen | framePen ()
int | frameStyle ()
| FrameWidget (Graph *)
double | frameWidth ()
bool | isOnTop ()
void | mousePressEvent (QMouseEvent *)
void | move (const QPoint &pos)
Graph * | plot ()
virtual void | print (QPainter *p, const QwtScaleMap map[QwtPlot::axisCnt])
void | resetCoordinates ()
void | resetOrigin ()
double | right ()
void | setAngle (int ang)
void | setAttachPolicy (AttachPolicy attachTo)
void | setBackgroundColor (const QColor &c)
void | setBrush (const QBrush &b)
void | setCoordinates (double left, double top, double right, double bottom)
| Set position (xValue() and yValue()), right and bottom values giving everything in plot coordinates. More...
void | setFrameColor (const QColor &c)
void | setFrameLineStyle (const Qt::PenStyle &s)
void | setFramePen (const QPen &p)
void | setFrameStyle (int style)
void | setFrameWidth (double w)
void | setOnTop (bool on=true)
void | setOrigin (int x, int y)
| Sets the position of the top left corner in paint coordinates. More...
void | setOriginCoord (double x, double y)
| Sets the position of the top left corner in axis coordinates. More...
void | setRect (int x, int y, int w, int h)
| Set geometry, giving everything in paint coordinates. More...
void | setSize (int w, int h)
| Set size in paint coordinates (pixels). More...
void | setSize (const QSize &newSize)
| Set size in paint coordinates. More...
void | showContextMenu ()
void | showPropertiesDialog ()
virtual void | updateCoordinates ()
double | xValue ()
| Returns the x axis coordiante of the top left corner. More...
double | yValue ()
| Returns the y axis coordiante of the top left corner. More...

## Static Public Member Functions

static void | restore (Graph *g, const QStringList &lst)
Static Public Member Functions inherited from FrameWidget
static double | heightIn (QWidget *w, Unit unit)
static void | setRect (QWidget *, double x, double y, double w, double h, Unit unit=Pixel)
| Set geometry of a widget in arbitrary units. More...
static double | widthIn (QWidget *w, Unit unit)
static double | xIn (QWidget *w, Unit unit)
static double | yIn (QWidget *w, Unit unit)

## Private Member Functions

void | drawFrame (QPainter *p, const QRect &rect)

## Additional Inherited Members

Public Types inherited from FrameWidget
enum | AttachPolicy { Page, Scales }
| The attach to policy. More...
enum | FrameStyle { None = 0, Line = 1, Shadow = 2 }
| The kinds of frame a FrameWidget can draw around. More...
enum | Unit { Inch, Millimeter, Centimeter, Point, Pixel, Scale }
| Length units. More...
Signals inherited from FrameWidget
void | changedCoordinates (const QRectF &)
void | showDialog ()
void | showMenu ()
Protected Member Functions inherited from FrameWidget
double | calculateBottomValue ()
| Returns the y axis coordinate of the bottom right corner based on the pixel value. More...
double | calculateRightValue ()
| Returns the x axis coordinate of the bottom right corner based on the pixel value. More...
double | calculateXValue ()
| Returns the x axis coordinate of the top left corner based on the pixel value. More...
double | calculateYValue ()
| Returns the y axis coordinate of the top left corner based on the pixel value. More...
void | contextMenuEvent (QContextMenuEvent *)
virtual void | paintEvent (QPaintEvent *e)
Protected Attributes inherited from FrameWidget
int | d_angle
| Rotation angle: not implemented yet. More...
AttachPolicy | d_attach_policy
| The attach to policy. More...
QBrush | d_brush
| Background brush. More...
int | d_frame
| Frame type. More...
QPen | d_frame_pen
| Pen used to draw the frame. More...
bool | d_on_top
Graph * | d_plot
| Parent plot. More...
int | d_shadow_width
| Frame width in pixels. More...
double | d_x
| X axis coordinate of the top left corner. More...
double | d_x_right
| The right side position in scale coordinates. More...
double | d_y
| Y axis coordinate of the top left corner. More...
double | d_y_bottom
| The bottom side position in scale coordinates. More...

## Constructor & Destructor Documentation

EllipseWidget::EllipseWidget | ( | Graph * | plot | ) |

References FrameWidget::Line, and FrameWidget::setFrameStyle().

Referenced by restore().

## Member Function Documentation

void EllipseWidget::clone | ( | EllipseWidget * | t | ) |

References FrameWidget::backgroundColor(), FrameWidget::bottom(), FrameWidget::brush(), FrameWidget::d_frame, FrameWidget::framePen(), FrameWidget::frameStyle(), FrameWidget::right(), FrameWidget::setBackgroundColor(), FrameWidget::setBrush(), FrameWidget::setCoordinates(), FrameWidget::setFramePen(), FrameWidget::xValue(), and FrameWidget::yValue().

void EllipseWidget::drawFrame | ( | QPainter * | p,
|  | const QRect & | rect
| ) |  |

private virtual

Reimplemented from FrameWidget.

References Graph::antialiasing(), FrameWidget::d_brush, FrameWidget::d_frame, FrameWidget::d_frame_pen, FrameWidget::d_plot, and FrameWidget::Line.

void EllipseWidget::restore | ( | Graph * | g,
|  | const QStringList & | lst
| ) |  |

static

References Graph::add(), FrameWidget::backgroundColor(), FrameWidget::bottom(), FrameWidget::brush(), PatternBox::brushStyle(), EllipseWidget(), PenStyleBox::penStyle(), FrameWidget::right(), FrameWidget::setAttachPolicy(), FrameWidget::setBackgroundColor(), FrameWidget::setBrush(), FrameWidget::setCoordinates(), FrameWidget::setFrameColor(), FrameWidget::setFrameLineStyle(), FrameWidget::setFrameStyle(), FrameWidget::setFrameWidth(), and FrameWidget::setOnTop().

Referenced by ApplicationWindow::openGraph().

QString EllipseWidget::saveToString | ( |  | ) |

virtual

Reimplemented from FrameWidget.

References FrameWidget::backgroundColor(), FrameWidget::d_brush, PatternBox::patternIndex(), and FrameWidget::saveToString().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/EllipseWidget.h
- qtiplot/src/plot2D/EllipseWidget.cpp